| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# wfst_build Build a weighted finite-state transducer

## Synopsis

wfst_build [option] [rulefile0] [rulefile1] ... [-type `string` " {kk}"] [-determinize ] [-detmin ] [-o `ofile`] [-heap `int` " {210000}"] [-q ]

Build and.or process weighted finite state transducers (WFSTs) form various input formats. This program accepts descriptions in the following formats and converts them to WFSTs

- regular expressions

- regular grammars

- Koskenniemi/Kay/Kaplan context restriction rules

In addition various operations can be performed on two WFSTs

- compose: form new WFST feeding output of first WFSTs into second WFSTs.

- union: form new WFST accepting the language both WFSTs

- intersect: form new WFST accepting only the language common to both WFSTs

- concat: form new WFST accepting the language from the concatenation of all strings in the first WFST to all strings in the second.

The newly formed WFSTs can be optionally determinized and minimzed. The option asis allows a single WFSTs to be loaded and determinized and/or minimized

## OPTIONS

> -type | `string` " {kk}" Input rule type: kk, lts, rg, compose, regex union, intersect, concat, asis
> -determinize | Determinize WFST before saving it
> -detmin | Determinize and minimize WFST before saving it
> -o | `ofile` Output file for saved WFST (default stdout)
> -heap | `int` " {210000}" Set size of Lisp heap, needed for large rulesets
> -q | Quiet mode, no summary generated

Prev | Home | Next
ols_test Test linear regression model | Up | wfst_build Build a weighted finite-state transducer